:root {
    font-size: 16px;
    font-family: 'Open Sans';
    --light-primary: #F1F7ED;
    --light-secondary: #E0EEC6;
    --dark-primary: #243E36;
    --dark-secondary: #496F4D;
}

.post-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    grid-gap: 2rem;
    margin: 2rem 0;
}

.post-link {
    display: hidden;
    height: 100%;
    width: 100%;
    text-decoration: none;
}

.post-tile {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--dark-secondary);
    color: var(--light-primary);
    padding-bottom: 0.5rem;
    border-radius: 1rem;
    transition-duration: var(--transition-speed);
    overflow: hidden;
}

.post-tile:hover {
    background-color: var(--accent-soft);
    color: var(--dark-primary);
    transform: scale(1.05);
    cursor: pointer;
}

.post-tile img {
    object-fit: cover;
    width: 101%;
    height: 10rem;
    border-radius: 1rem 1rem 0 0;
    margin: 0 0 1rem 0;
    padding: 0;
    cursor: pointer;
}

.tile-contents p {
    display: -webkit-box;
    overflow: hidden;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.tile-contents {
    box-sizing: border-box;
    display: block;
    padding: 0 1rem 0.5rem 1rem;
    width: 100%;
}

.tile-contents:last-child {
    /* place at bottom */
    margin-top: auto;
}

.tag-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: start;
    align-items: start;
    gap: 0.5rem;
    margin: 0.5rem 0;
}

.tag {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--accent-soft);
    color: var(--light-primary);
    padding: 0.25rem 0.5rem;
    font-size: small;
    border-radius: 1rem;
    transition-duration: var(--transition-speed);
}

.tag-large {
    font-size: 1rem;
    padding: 0.5rem 1rem;
}

.post-tile:hover .tag {
    background-color: var(--dark-primary);
}

.flavor-text {
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--dark-secondary);
    transform-origin: left center;
    width: fit-content;
    margin: 0;
}

.tag-input {
    display: none;
}

.tag-input+label {
    display: inline-block;
    cursor: pointer;
    padding: 0.5rem 1rem;
    background-color: var(--dark-secondary);
    color: var(--light-primary);
    border-radius: 1rem;
    transition-duration: var(--transition-speed);
}

.tag-input+label:hover {
    background-color: var(--accent-soft);
    color: var(--dark-primary);
}

.tag-input:checked+label {
    background-color: var(--accent-soft);
    color: var(--dark-primary);
}

.hide-default-input {
    display: none;
}

.hide-if-empty:empty {
    display: none;
}

.post-header {
    width: 100%;
    height: auto;
    max-height: 25rem;
    object-fit: cover;
    padding: 0;
    margin: 0;
    display: block;
    overflow: hidden;
    position: relative;
    text-align: center;
    justify-content: center;
}

.post-header img {
    width: 100%;
    height: auto;
    max-height: 25rem;
    overflow: hidden;
    object-fit: cover;
    filter: brightness(50%);
}

.post-header h1 {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transform-origin: center center;
    color: var(--light-primary);
    font-size: 4rem;
    font-weight: bold;
    text-align: center;
    text-shadow: 0 0 1rem var(--dark-primary);
    width: 100%;
    margin: 0;
    padding: 0;
    transition-duration: var(--transition-speed);
}

.post-header:hover h1 {
    transform: scale(1.1) translateY(-50%);
}